Bug 1418905 - Add an environment variable to adjust the maxconn haproxy settings
Summary: Add an environment variable to adjust the maxconn haproxy settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Bennett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 05:10 UTC by Jaspreet Kaur
Modified: 2020-05-14 15:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-18 18:57:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaspreet Kaur 2017-02-03 05:10:27 UTC
3. What is the nature and description of the request?
Add a environment variable for changing maxconn or other settings to the router/haproxy with the current default value of 2000, thereby it is possible to change the value without changing/overriding the haproxy configuration with a ConfigMap or something like that. 
The benefit, is a better upgrade process.

4. Why does the customer need this? (List the business requirements here)
The customer dont want to modify the whole configuration to have a better upgrade workflow and an minimal impact.

5. How would the customer like to achieve this? (List the functional requirements here)
The customer want only to change the environment variable of the router pod in the deployment configuration

Comment 2 Ben Bennett 2017-02-03 14:26:20 UTC
This will be addressed by https://bugzilla.redhat.com/show_bug.cgi?id=1405440


Note You need to log in before you can comment on or make changes to this bug.